<?xml version="1.0" encoding="UTF-8"?>
<project xmlns="http://maven.apache.org/POM/4.0.0" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xsi:schemaLocation="http://maven.apache.org/POM/4.0.0 http://maven.apache.org/xsd/maven-4.0.0.xsd">
	<modelVersion>4.0.0</modelVersion>
	<parent>
		<groupId>com.scytl.products.ov.channel.vm</groupId>
		<artifactId>voter-material</artifactId>
		<version>2.1.7</version>
	</parent>

	<groupId>com.scytl.products.ov.channel.vm.services</groupId>
	<artifactId>voter-material-services</artifactId>
	<packaging>jar</packaging>
	<name>Online Voting - Voter Material - Services</name>

	<dependencies>
		<!-- JPA Service provider -->
		<dependency>
			<groupId>org.hibernate</groupId>
			<artifactId>hibernate-entitymanager</artifactId>
		</dependency>
		<!-- Local dependencies -->		
		<!-- OV Commons -->
		<dependency>
			<groupId>com.scytl.products.ov.channel.commons</groupId>
			<artifactId>ov-commons-logging</artifactId>
		</dependency>
		<dependency>
			<groupId>com.scytl.products.ov.channel.commons.lib</groupId>
			<artifactId>ov-commons-lib-persistence</artifactId>
		</dependency>
		<dependency>
			<groupId>com.scytl.products.ov.channel.commons</groupId>
			<artifactId>ov-commons-beans</artifactId>
		</dependency>
		<dependency>
			<groupId>com.scytl.products.ov.channel.commons</groupId>
			<artifactId>ov-commons-infrastructure</artifactId>
		</dependency>
		<dependency>
            <groupId>de.akquinet.jbosscc</groupId>
            <artifactId>jbosscc-needle</artifactId>
            <version>2.1</version>
            <scope>test</scope>
        </dependency>
		<dependency>
            <groupId>org.hsqldb</groupId>
            <artifactId>hsqldb</artifactId>
            <version>2.3.4</version>
            <scope>test</scope>
        </dependency>
        <dependency>
    		<groupId>org.apache.geronimo.specs</groupId>
    		<artifactId>geronimo-osgi-locator</artifactId>
    		<version>1.1</version>
    		<scope>test</scope>
		</dependency>
		<dependency>
            <groupId>org.easymock</groupId>
            <artifactId>easymock</artifactId>
            <version>3.4</version>
            <scope>test</scope>
        </dependency>
	</dependencies>
	
	<profiles>
      <profile>
        <id>skipTestRun</id>
        <activation>
          <property>
            <name>skipTests</name>
            <value>!true</value>
          </property>
        </activation>
        <dependencies>
          <dependency>
              <groupId>com.scytl.products.ov.channel.commons.lib</groupId>
              <artifactId>ov-commons-lib-persistence</artifactId>
              <version>${project.version}</version>
              <type>test-jar</type>
              <scope>test</scope>
          </dependency>
        </dependencies>
      </profile>
    </profiles>
</project>